Altibase.jdbc.driver.cm

## Class CmOperation

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmOperationDef
  - - Altibase.jdbc.driver.cm.CmOperation

    public class CmOperation
    extends CmOperationDef

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.cm.CmOperationDef

`CONNECT_MODE_NORMAL, CONNECT_MODE_SYSDBA, DB_OP_EXECUTE_V2, DB_OP_EXECUTE_V2_RESULT, DB_OP_PARAM_DATA_IN_LIST_V2, DB_OP_SET_PROPERTY, DB_OP_SHARD_TRANSACTION, DB_OP_TRANSACTION, WRITE_STRING_MODE_DB, WRITE_STRING_MODE_NCHAR, WRITE_STRING_MODE_NLITERAL`

### Constructor Summary

Constructors
Constructor and Description
`CmOperation()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `readErrorResult(CmChannel aChannel, CmProtocolContext aContext)`
`static void` `readProtocolResult(CmProtocolContext aContext)`
`static void` `throwShardFailoverIsNotAvailableException(java.lang.String aNodeName, java.lang.String aIpAddress, int aPort)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmOperationDef

`getOperationName, getOperationName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmOperation

    public CmOperation()

### Method Detail

#### readProtocolResult

    public static void readProtocolResult(CmProtocolContext aContext)
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### readErrorResult

    public static void readErrorResult(CmChannel aChannel,
                                       CmProtocolContext aContext)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### throwShardFailoverIsNotAvailableException

    public static void throwShardFailoverIsNotAvailableException(java.lang.String aNodeName,
                                                                 java.lang.String aIpAddress,
                                                                 int aPort)
                                                          throws ShardFailoverIsNotAvailableException

Throws:
  `ShardFailoverIsNotAvailableException`